## org.gnu.gtk
Class RadioButton

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Button
                                  org.gnu.gtk.ToggleButton
                                      org.gnu.gtk.CheckButton
                                          org.gnu.gtk.RadioButton

public class RadioButton
extends CheckButton

A single RadioButton performs the same basic function as a `CheckButton`, as it's position in the object hierarchy reflects. It is only when multiple RadioButtons are grouped together that they become a different user interface component.

Every RadioButton is a member of some group of RadioButtons. When one is selected, all of the other RadioButtons in the same group are deselected.

A RadioButton is created by the constructor passing a `null` value for the RadioButton objection for the first object, and the First object as a parameter for the remaining objects.

Constructor Summary
`RadioButton(org.gnu.glib.Handle handle)` Construct a radio button using a handle to a native resource.
`RadioButton(RadioButton group)` Create a new RadioButton object adding it to the same group as the provided RadioButton.
`RadioButton(RadioButton[] group, java.lang.String label, boolean hasMnemonic)`
`RadioButton(RadioButton group, java.lang.String label, boolean hasMnemonic)` Create a new RadioButton object adding it to the same group as the provided RadioButton.
`RadioButton(RadioMenuItem[] group)`

Method Summary
`static RadioButton` `getRadioButton(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gtk.CheckButton
`getCheckButton`

Methods inherited from class org.gnu.gtk.ToggleButton
`addListener, getEventListenerClass, getEventType, getInconsistent, getState, getToggleButton, removeListener, setInconsistent, setState`

Methods inherited from class org.gnu.gtk.Button
`addListener, click, enter, getButton, getFocusOnClick, getImage, getLabel, getRelief, getUseStock, getUseUnderline, getXAlignment, getYAlignment, leave, press, release, removeListener, setAlignment, setFocusOnClick, setImage, setLabel, setRelief, setUseStock, setUseUnderline`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadioButton

    public RadioButton(RadioMenuItem[] group)

### RadioButton

    public RadioButton(RadioButton[] group,
                       java.lang.String label,
                       boolean hasMnemonic)

### RadioButton

    public RadioButton(RadioButton group)

  Create a new RadioButton object adding it to the same group as the provided RadioButton. If this is the first RadioButton pass `null` for this parameter.

Parameters:
  `group` - A RadioButton that belongs to the group that we wish to add this newly constructed RadioButton to. If this is the first RadioButton in the group just pass `null`.

### RadioButton

    public RadioButton(RadioButton group,
                       java.lang.String label,
                       boolean hasMnemonic)

  Create a new RadioButton object adding it to the same group as the provided RadioButton. If this is the first RadioButton pass `null` for this parameter.

Parameters:
  `group` - A RadioButton that belongs to the group that we wish to add this newly constructed RadioButton to. If this is the first RadioButton in the group just pass `null`.
  `label` - The text label to assign to this RadioButton.
  `hasMnemonic` - An indicator to inform the widget if the label contains a mnemonic.

### RadioButton

    public RadioButton(org.gnu.glib.Handle handle)

  Construct a radio button using a handle to a native resource.

Method Detail

### getRadioButton

    public static RadioButton getRadioButton(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.